无忧启动论坛

 找回密码
 注册
搜索
最纯净的「微PE装机优盘」UEPON大师作品系统gho:最纯净好用系统下载站数据恢复、数据保护、视频编辑
Win To Go 极致利器(IXUNCIS固态U盘)无忧启动网成立20周年!广告联系 QQ:184822951 微信:wuyouceo
查看: 1462|回复: 33

[分享] 真正可以加载使用 .net 的 Win10PE!!

[复制链接]
发表于 2021-4-5 12:03:19 | 显示全部楼层 |阅读模式
本帖最后由 2010twinsram 于 2021-4-6 22:57 编辑

有些软件,依赖 .net 运行库, 长久以来PE都无法正常安装/加载/使用 .net ,现在总算找到一个能用 .net的 Win10PE了!
我用一款叫"黑鸟播放器"的软件做测试,实测可在安装.net组件之后,可以正常使用该软件了!{:1_183:}


设计师应急设计PE(19043)4月1特别版 微软全系列官方在线下载安装版 全硬件驱动版

自己小小改动了一下,让这个PE更具有"娱乐性"哈!

003.jpg
002.jpg
001.jpg




自己修改的一个版本, 因为整合了 Office2010三件套 和 .net组件 ,所以体积比较大!

下载地址.txt (78 Bytes, 下载次数: 86)
004.jpg
004.jpg

点评

修正已发现问题,重新来个ISO的吧~  发表于 2021-4-6 14:08

评分

参与人数 3无忧币 +8 收起 理由
mzpyxsc + 5 +5 做个ISO的
an7 + 1 感谢,PE小白求楼主弄个ISO,wim不会用啊
a20120227 + 2 赞一个!

查看全部评分

发表于 2021-4-5 15:19:43 来自手机 | 显示全部楼层
好是好,就是大了点。
回复

使用道具 举报

发表于 2021-4-5 15:23:03 | 显示全部楼层
忍不住来吐槽一下:
LZ不是经常关注论坛的人吧,即使和本人一样同为2010年注册的账户
PE支持.net 在N年前就能实现了,
slore 大大在2018年推出的 PE生成器 Wimbuilder2
更是将pe支持 .net变为常态化

点评

说实话,我试过很多自称支持的,最后都是无法运行这个"黑鸟播放器"的,要不你下载这个播放器来试试? 黑鸟播放器,作者自己的网盘 https://wwx.lanzoux.com/ibVOFki7awh  详情 回复 发表于 2021-4-5 16:23
回复

使用道具 举报

 楼主| 发表于 2021-4-5 16:23:25 | 显示全部楼层
本帖最后由 2010twinsram 于 2021-4-5 16:58 编辑
2010feicool 发表于 2021-4-5 15:23
忍不住来吐槽一下:
LZ不是经常关注论坛的人吧,即使和本人一样同为2010年注册的账户
PE支持.net 在N年前 ...

说实话,我试过很多自称支持的,最后都是无法运行这个"黑鸟播放器"的,要不你下载这个播放器来试试?

黑鸟播放器,作者自己的网盘 https://wwx.lanzoux.com/ibVOFki7awh

作者自己的介绍,这个软件最低需要 4.5.2 以上的 .net, 最新版本更是需要 4.7.0的.



黑鸟.jpg

回复

使用道具 举报

发表于 2021-4-5 19:54:53 | 显示全部楼层
不好意思,有点误会了。
Wimbuilder2如果使用原版镜像制作的话确实只支持3.5的.net

自己这几年自制的PE或RAMOS都是支持4.5以上的.net框架
学自精简版micro 8.1和红毛的全能PE

只要补充少量X:\Windows下的assembly、Microsoft.NET,以及WinSxS
文件即可实现支持高版本.net
可以找找本人以前发布的RAMOS,里面有win8.1下net4支持文件精简版,
Win10支持高版本的可以用beyond compare对比提取同名文件添加到自己的PE即可实现高版本net支持

还不懂得可以找找支持高版本.net的PE或精简系统,复制如上三个文件夹内容以及补充mscoree.dll即可

软件通过自制PE试验,4.5就能运行

newscreen264750.png



点评

Wimbuilder2做的PE是使用系统install.wim带的.NET。 Win10PE默认是.NET 4.8。勾选32位应用程序支持,外壳和.NET,楼主说的黑鸟播放器是可以运行的(2GB内存可运行)。 反而.NET 3.5需要dism命令额外对install.wi  详情 回复 发表于 2021-4-6 21:39
回复

使用道具 举报

发表于 2021-4-5 22:14:11 | 显示全部楼层
谢谢分享
回复

使用道具 举报

发表于 2021-4-5 22:20:10 | 显示全部楼层
不错谢谢分享
回复

使用道具 举报

发表于 2021-4-5 23:29:59 | 显示全部楼层
感谢,PE小白求楼主弄个ISO,wim不会用啊

点评

http://wuyou.net/forum.php?mod=viewthread&tid=419823&extra=  详情 回复 发表于 2021-4-6 23:01
传统bios环境的话,看这里: http://bbs.wuyou.net/forum.php?mod=redirect&goto=findpost&ptid=380572&pid=3399620&fromuid=373191  详情 回复 发表于 2021-4-5 23:42
回复

使用道具 举报

发表于 2021-4-5 23:42:31 | 显示全部楼层
an7 发表于 2021-4-5 23:29
感谢,PE小白求楼主弄个ISO,wim不会用啊

传统bios环境的话,看这里:
http://bbs.wuyou.net/forum.php?m ... &fromuid=373191
回复

使用道具 举报

发表于 2021-4-5 23:50:52 | 显示全部楼层
请教一下各位大神,现在用着论坛一位大神的win10精简版挺适合我,只不过
net framework 3.5 精简掉了,有恢复方法吗,试了一下 直接离线安转包是安转不了的,各位大神有知道怎么恢复的麻烦指点一下 感激不尽
回复

使用道具 举报

发表于 2021-4-5 23:52:49 | 显示全部楼层
哪位能转存到天翼网盘?
回复

使用道具 举报

发表于 2021-4-6 00:28:15 | 显示全部楼层
谢谢分享
回复

使用道具 举报

发表于 2021-4-6 01:05:02 | 显示全部楼层
8G内存那还不如直接用ramos了。4G都可以飞起了。

点评

对!直接用ramos会飞的感觉!!!  发表于 2021-4-6 13:48
回复

使用道具 举报

发表于 2021-4-6 06:42:00 | 显示全部楼层
谢谢分享
回复

使用道具 举报

发表于 2021-4-6 10:20:15 | 显示全部楼层
本帖最后由 kgenxp 于 2021-4-6 10:21 编辑

8G内存无法启动wim,加载完wim后提示内存不足。
回复

使用道具 举报

发表于 2021-4-6 10:40:23 | 显示全部楼层
小白前来学习
回复

使用道具 举报

发表于 2021-4-6 10:44:36 | 显示全部楼层
楼主给力,下载试一下
回复

使用道具 举报

发表于 2021-4-6 10:49:19 | 显示全部楼层
感谢分享
回复

使用道具 举报

发表于 2021-4-6 21:39:49 | 显示全部楼层
本帖最后由 slore 于 2021-4-6 21:41 编辑
2010feicool 发表于 2021-4-5 19:54
不好意思,有点误会了。
Wimbuilder2如果使用原版镜像制作的话确实只支持3.5的.net

Wimbuilder2做的PE是使用系统install.wim带的.NET。

Win10PE默认是.NET 4.8。勾选32位应用程序支持,外壳和.NET,楼主说的黑鸟播放器是可以运行的(2GB内存可运行)。

反而.NET 3.5需要dism命令额外对install.wim启用才行,也就是说默认WimBuilder2能添加.Net 3.5而是.Net 4.8

W2_NET_PE.png

点评

感谢大神现场指导,确实是4.8。 是我没讲清楚,只保留.net框架的话 用asoft .net version detector 只显示到3.5而已  详情 回复 发表于 前天 20:50
你好! 我尝试用你出品的Wimbuilder2来自制一个"全能版"的Win10PE,在安装好显卡驱动,补齐SysWOW64,补齐WinSxS,System32......之后,依旧无法使用安卓模拟器,不知是何原因?  详情 回复 发表于 7 天前
回复

使用道具 举报

 楼主| 发表于 2021-4-6 23:01:17 | 显示全部楼层
an7 发表于 2021-4-5 23:29
感谢,PE小白求楼主弄个ISO,wim不会用啊

http://wuyou.net/forum.php?mod=v ... d=419823&extra=
回复

使用道具 举报

发表于 2021-4-7 04:59:51 | 显示全部楼层
adk 有官方net4的支持cab
回复

使用道具 举报

发表于 2021-4-7 16:24:36 | 显示全部楼层
做个记号,以便后期学习
回复

使用道具 举报

 楼主| 发表于 7 天前 | 显示全部楼层
slore 发表于 2021-4-6 21:39
Wimbuilder2做的PE是使用系统install.wim带的.NET。

Win10PE默认是.NET 4.8。勾选32位应用程序支持, ...

你好! 我尝试用你出品的Wimbuilder2来自制一个"全能版"的Win10PE,在安装好显卡驱动,补齐SysWOW64,补齐WinSxS,System32......之后,依旧无法使用安卓模拟器,不知是何原因?

点评

不要安装,解压雷电模拟器可以运行。  发表于 前天 20:59
安卓模拟器是另外的问题。。。 PE的全功能,和正常系统还是有差异的。 只是目前支持PE下面全部功能都补充的PE版本的意思。 比如VM虚拟机,WSL,  详情 回复 发表于 7 天前
回复

使用道具 举报

发表于 7 天前 | 显示全部楼层
楼主给力,下载试一下
回复

使用道具 举报

发表于 7 天前 | 显示全部楼层
本帖最后由 slore 于 2021-4-13 18:08 编辑
2010twinsram 发表于 2021-4-13 16:51
你好! 我尝试用你出品的Wimbuilder2来自制一个"全能版"的Win10PE,在安装好显卡驱动,补齐SysWOW64,补齐Win ...

安卓模拟器是另外的问题。。。

PE的全功能,和正常系统还是有差异的。
只是目前支持PE下面全部功能都补充的PE版本的意思。

比如VM虚拟机,WSL,魔兽,Visual Studio。。。
个别软件需要的不一定文件补了就好,还有注册表,服务等。

你用的啥模拟器?

点评

你好,我用的是“雷电模拟器”  详情 回复 发表于 7 天前
回复

使用道具 举报

 楼主| 发表于 7 天前 来自手机 | 显示全部楼层
slore 发表于 2021-4-13 18:06
安卓模拟器是另外的问题。。。

PE的全功能,和正常系统还是有差异的。

你好,我用的是“雷电模拟器”
回复

使用道具 举报

发表于 6 天前 | 显示全部楼层
xx fx ,,,,谢谢分享。。。
回复

使用道具 举报

发表于 6 天前 | 显示全部楼层
谢谢分享,下载看看
回复

使用道具 举报

发表于 前天 20:50 | 显示全部楼层
slore 发表于 2021-4-6 21:39
Wimbuilder2做的PE是使用系统install.wim带的.NET。

Win10PE默认是.NET 4.8。勾选32位应用程序支持, ...

感谢大神现场指导,确实是4.8。
是我没讲清楚,只保留.net框架的话 用asoft .net version detector 只显示到3.5而已
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|捐助支持|无忧启动 ( 闽ICP备05002490号-1 )

闽公网安备 35020302032614号

GMT+8, 2021-4-20 11:38

Powered by Discuz! X3.3

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表